> ## Documentation Index
> Fetch the complete documentation index at: https://lingopal.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Segment Translations

> Get all language translations for a specific segment.

## Description

Get all language translations for a specific segment.

## Authentication

This endpoint requires an API Key.\
Include your API key in the `x-api-key` header:

```http theme={null}
x-api-key: YOUR_API_KEY
```

## Request

* **Method:** GET
* **Endpoint:** `/v1/translations/{stream_id}/{segment_id}`
* **Path Parameters:**
  * `stream_id` (string, required): Stream ID
  * `segment_id` (integer, required): Segment ID

## Response

* **Status:** 200 OK
* **Content-Type:** `application/json`

```json theme={null}
{
  "stream_id": "string",
  "segment_id": 0,
  "translations": [
    {
      "stream_id": "string",
      "language_id": "string",
      "segment_id": 0,
      "timestamp": "string",
      "end_time": "string",
      "original_content": "string",
      "speaker": "string",
      "id": 0,
      "content": "string",
      "edited": true,
      "created_at": "2025-12-05T20:36:19.884Z",
      "updated_at": "2025-12-05T20:36:19.884Z"
    }
  ],
  "total_languages": 0
}
```

## Example Usage (cURL)

```bash theme={null}
curl -X GET "https://streaming.lingopal-dev.com/v1/translations/your-stream-id/1" \
  -H "x-api-key: YOUR_API_KEY"
```


## OpenAPI

````yaml GET /v1/translations/{stream_id}/{segment_id}
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  x-ignore-stats:
    get:
      summary: Get Translation Statistics
      description: Get translation statistics for a stream.
      security:
        - ApiKeyAuth: []
      parameters:
        - name: stream_id
          in: path
          description: Stream ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  total_translations:
                    type: integer
                  edited_translations:
                    type: integer
                  unique_languages:
                    type: array
                    items:
                      type: string
                  edit_percentage:
                    type: number
                  language_stats:
                    type: object
                    additionalProperties: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: array
                    items:
                      type: object
                      properties:
                        loc:
                          type: array
                          items:
                            type: string
                        msg:
                          type: string
                        type:
                          type: string
  x-translations-temp:
    get:
      summary: Get Translations
      description: Get paginated translations for a stream.
      security:
        - ApiKeyAuth: []
      parameters:
        - name: stream_id
          in: path
          description: Stream ID
          required: true
          schema:
            type: string
        - name: page
          in: query
          description: Page number
          required: false
          schema:
            type: integer
            default: 1
        - name: per_page
          in: query
          description: Items per page
          required: false
          schema:
            type: integer
            default: 50
        - name: order
          in: query
          description: 'Sort order: ''asc'' for oldest first, ''desc'' for latest first'
          required: false
          schema:
            type: string
            default: desc
        - name: language_id
          in: query
          description: Filter by language ID
          required: false
          schema:
            type: string
        - name: edited
          in: query
          description: Filter by edit status
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  translations:
                    type: array
                    items:
                      type: object
                      properties:
                        stream_id:
                          type: string
                        language_id:
                          type: string
                        segment_id:
                          type: integer
                        timestamp:
                          type: string
                        end_time:
                          type: string
                        original_content:
                          type: string
                        speaker:
                          type: string
                        id:
                          type: integer
                        content:
                          type: string
                        edited:
                          type: boolean
                        created_at:
                          type: string
                        updated_at:
                          type: string
                  total:
                    type: integer
                  page:
                    type: integer
                  per_page:
                    type: integer
                  has_next:
                    type: boolean
                  has_prev:
                    type: boolean
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: array
                    items:
                      type: object
                      properties:
                        loc:
                          type: array
                          items:
                            type: string
                        msg:
                          type: string
                        type:
                          type: string
  version: 1.0.0
servers:
  - url: https://streaming.lingopal.ai
  - url: https://streaming.lingopal-dev.com
security:
  - ApiKeyAuth: []
paths:
  /v1/translations/{stream_id}/{segment_id}:
    get:
      summary: Get Segment Translations
      description: Get all language translations for a specific segment.
      parameters:
        - name: stream_id
          in: path
          description: Stream ID
          required: true
          schema:
            type: string
        - name: segment_id
          in: path
          description: Segment ID
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  stream_id:
                    type: string
                  segment_id:
                    type: integer
                  translations:
                    type: array
                    items:
                      type: object
                      properties:
                        stream_id:
                          type: string
                        language_id:
                          type: string
                        segment_id:
                          type: integer
                        timestamp:
                          type: string
                        end_time:
                          type: string
                        original_content:
                          type: string
                        speaker:
                          type: string
                        id:
                          type: integer
                        content:
                          type: string
                        edited:
                          type: boolean
                        created_at:
                          type: string
                        updated_at:
                          type: string
                  total_languages:
                    type: integer
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: array
                    items:
                      type: object
                      properties:
                        loc:
                          type: array
                          items:
                            type: string
                        msg:
                          type: string
                        type:
                          type: string
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````